#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n,x,k;

    cin>>n>>k>>x;

    vector<long long> a(n);
    vector<long long> psum(n);

    for(int i = 0;i<n;i++){
        cin>>a[i];
    }



    for(int i = 0;i<n-k+1;i++){

        int  c= 1;
        long long sum = 0;

        for(int j = i;j<i+k;j++){
            sum += a[j]*c;
            if(c!=x){
                c++;
            }
        }
        cout<<sum<<' ';
    }

    return 0;
}